module Main.Voronoi where

import Util.Call
-- import Util.Command
import Util.Args
import Util.Debug
import Util.Value

import World
import Random

import Geo.Segmentation
import Geo.Printer
import Main.Timed


voronoi :: Suggestor
voronoi args acc = do

    (d, ( dist , graph )) <- timed $ segment_by_homes  ( mappe args, info args )

    -- print_dmap ( info args ) dist
    -- print_wgraph graph
    debug $ "voronoi time: " ++ show d

    cs <- possible_commands ( mappe args, info args )

    let vcs = do
	    c <- cs
	    return ( max_value , c )
    debug $ "possible commands: " ++ show vcs
    let n = length vcs
    i <- randomRIO (0, n-1)

    acc $ vcs !! i




