module World.Query.GetPackDest where

import World.Type
import Util.RestrictedFiniteMap

getPackDest                   :: Info -> PackID -> Maybe Position
getPackDest i pid             =  destination pack
    where  pack		      =  lookupWithDefaultFM 
                                       (packages i) 
                                       (error "no such pid")
                                       pid	  
