module Util.Args where

-- $Log: Args.hs,v $
-- Revision 1.5  2002/09/02 14:29:49  joe
-- *** empty log message ***
--
-- Revision 1.4  2002/09/01 19:09:09  joe
-- time re-org
-- zum anfang Geo fragen
--
-- Revision 1.3  2002/09/01 18:43:57  joe
-- add Geo.Type
--
-- Revision 1.2  2002/08/31 18:00:06  joe
-- tag
--
-- Revision 1.1  2002/08/31 15:20:24  joe
-- types
--

import qualified IO
import IOExts

import qualified World.Type
import qualified Geo.Type

data Args = Args { handle :: IO.Handle
		 , mappe  :: World.Type.Map
		 , info	  :: World.Type.Info
		 , waygraph :: Geo.Type.WayGraph Int
		 , distancemap :: Geo.Type.DistanceMap
		 , highwaysfrom :: IORef Geo.Type.HighwaysFrom

		 -- provisional:
		 -- time allowed per move, in microseconds real time (used by threadWait)
		 , time_per_move :: Int

		 , number :: Int -- of moves that have been sent to the server
		 
		 }

