module Util.Command

( module Util.Command
, module Util.Direction
)

where

-- $Log: Command.hs,v $
-- Revision 1.2  2002/09/02 11:17:05  mrahn
-- action in world.type
--
-- Revision 1.1  2002/08/31 15:20:24  joe
-- types
--

import Util.Direction
import World.Type

data Command = Command { bid :: Bid
		       , action :: Action
		       }
     deriving ( Eq, Ord )

instance Show Command where
    show c = unwords $ [ show $ bid c, show $ action c ]
