module World.Query.GetPackPos where

import World.Type
import Util.RestrictedFiniteMap

getPackPos                    :: Info -> PackID -> Position
getPackPos i pid              = p'
    where p                   =pos pack
	  pack		      =lookupWithDefaultFM 
                                       (packages i) 
                                       (error "no such pid")
                                       pid	  
          p'                  =case p of 
				       Left x -> x
				       Right rid -> lookupWithDefaultFM
                                                    (robot_poss i)
                                                    (error "no such Robotid")
                                                    rid